> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a currency for an account

> Updates the boolean ```enabled``` status of a single currency for a given ```accountId```.



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json patch /currencies/{currencyCode}
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /currencies/{currencyCode}:
    patch:
      tags:
        - Currencies
      summary: Update a currency for an account
      description: >-
        Updates the boolean ```enabled``` status of a single currency for a
        given ```accountId```.
      operationId: updateAccountCurrency
      parameters:
        - name: currencyCode
          in: path
          required: true
          schema:
            description: >-
              The currency code of the currency to work with, in ISO 4217
              format.
            type:
              - string
            pattern: ^[A-Z]{3}$
        - name: accountId
          in: query
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                enabled:
                  type:
                    - boolean
                  description: Enable or disable a currency.
              required:
                - enabled
              example:
                enabled: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    format: uuid
                  code:
                    type:
                      - string
                    example: GBP
                  name:
                    type:
                      - string
                    example: Pound Sterling
                  status:
                    type:
                      - object
                    properties:
                      enabled:
                        type:
                          - boolean
                        example: true
                required:
                  - id
                  - code
                example:
                  id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                  code: GBP
                  name: Pound Sterling
                  status:
                    enabled: true
      security:
        - CommonAuth:
            - currencies:update:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request PATCH \
              --url 'https://api.equalsmoney.com/v2/currencies/{currencyCode}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "enabled": true
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````